Bug 571277 - [abrt] crash in guake-0.4.1-2.fc12: guake.py:1125:delete_shell:OSError: [Errno 3] No such process
Summary: [abrt] crash in guake-0.4.1-2.fc12: guake.py:1125:delete_shell:OSError: [Errn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73a66242
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 00:05 UTC by Carlos López Fernández
Modified: 2010-05-19 19:19 UTC (History)
3 users (show)

Fixed In Version: guake-0.4.1-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:09:06 UTC


Attachments (Terms of Use)
File: backtrace (324 bytes, text/plain)
2010-03-08 00:05 UTC, Carlos López Fernández
no flags Details

Description Carlos López Fernández 2010-03-08 00:05:17 UTC
abrt 1.0.7 detected a crash.

architecture: i686
cmdline: guake -OO /usr/lib/guake/guake.py
component: guake
executable: /usr/lib/guake/guake.py
kernel: 2.6.32.9-67.fc12.i686
package: guake-0.4.1-2.fc12
reason: guake.py:1125:delete_shell:OSError: [Errno 3] No such process
release: Fedora release 12 (Constantine)

backtrace
-----
guake.py:1125:delete_shell:OSError: [Errno 3] No such process

Traceback (most recent call last):
  File "/usr/lib/guake/guake.py", line 1125, in delete_shell
    os.kill(pid, signal.SIGTERM)
OSError: [Errno 3] No such process

Local variables in innermost frame:
self: Guake(path="/usr/share/guake/guake.glade")
pid: 24297

Comment 1 Carlos López Fernández 2010-03-08 00:05:20 UTC
Created attachment 398393 [details]
File: backtrace

Comment 2 Pierre-YvesChibon 2010-03-10 13:06:11 UTC
Hi,

Thanks for the report. Could you give me more information on how to reproduce it ? Or how it happened ? Or if you can still reproduce it ?


Thanks

Comment 3 Fedora Update System 2010-05-07 22:44:46 UTC
guake-0.4.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 4 Fedora Update System 2010-05-07 22:45:08 UTC
guake-0.4.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc13

Comment 5 Fedora Update System 2010-05-07 22:45:29 UTC
guake-0.4.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 6 Fedora Update System 2010-05-08 13:47:32 UTC
guake-0.4.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 7 Fedora Update System 2010-05-08 16:09:22 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 8 Fedora Update System 2010-05-10 16:57:14 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 9 Fedora Update System 2010-05-10 17:09:35 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 10 Fedora Update System 2010-05-19 19:08:44 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-19 19:10:33 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-19 19:19:32 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.